API
POST /api/sessions/{session_id}/promote-to-circle
Promote Session To Circle
POST /api/sessions/{session_id}/promote-to-circle
Promote Session To Circle
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
session_id | path | string | Yes | - |
X-Org-ID | header | string | null | No | - |
Example request
curl -X POST https://api.cognitivx.io/api/sessions/{session_id}/promote-to-circle \
-H "Authorization: Bearer icog_..."Example response
200 application/json
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "production",
"subject": "string",
"description": null,
"visibility": "string",
"avatar_url": "https://example.com",
"member_count": 0,
"role": null,
"owner_username": "production",
"budget_tokens_monthly": null,
"budget_used_tokens": 0,
"created_at": "2026-06-16T08:30:00Z",
"updated_at": "2026-06-16T08:30:00Z"
}Responses
| Status | Description |
|---|---|
200 | Success. Returns the response body shown below. |
422 | Request validation failed. detail lists each offending field. |